[ace-accordion-trigger] {
  width: 100%;
}

[ace-accordion-panel]:not([ace-accordion-panel-visible]) {
  display: none;
}

ace-carousel {
  display: block;
}

[ace-carousel-slide]:not([ace-carousel-slide-selected]) {
  display: none;
}

[ace-carousel-slide-picker-btn] {
  height: 12px;
  margin: 0 calc(8px / 2);
}
[ace-carousel-slide-picker-btn][aria-selected=true] {
  background-color: steelblue;
  border-style: inset;
}

ace-combobox {
  display: inline-block;
  position: relative;
}

[ace-combobox-input] {
  width: 100%;
}

[ace-combobox-list] {
  background: #fff;
  height: auto;
  left: 0;
  list-style: none;
  overflow-y: auto;
  position: absolute;
  text-align: left;
  top: 100%;
  user-select: none;
  white-space: nowrap;
  width: 100%;
  z-index: 1;
}
[ace-combobox-list]:not([ace-combobox-list-visible]) {
  display: none;
}
[ace-combobox-list] [aria-selected=true] {
  background: steelblue;
  color: #fff;
}
[ace-combobox-list][ace-u-float-above] {
  bottom: 100%;
  top: initial;
}
[ace-combobox-list][ace-u-float-left] {
  left: initial;
  right: 0;
}
[ace-combobox-list][ace-u-float-right] {
  left: 0;
  right: initial;
}

ace-disclosure:not([ace-disclosure-visible]) {
  display: none;
}

[ace-listbox-list] {
  height: auto;
  list-style-position: inside;
  overflow-y: auto;
  user-select: none;
}
[ace-listbox-list] [aria-selected=true] {
  background: steelblue;
  color: #fff;
}

[ace-listbox-multiselect] [ace-listbox-option-active] {
  outline: 2px dotted slategrey;
}

ace-menu {
  position: relative;
}

[ace-menu-list] {
  background: #fff;
  color: #000;
  left: 0;
  list-style: none;
  position: absolute;
  user-select: none;
  white-space: nowrap;
  z-index: 1;
}
[ace-menu-list]:focus {
  outline: none;
}
[ace-menu-list]:not([ace-menu-list-visible]) {
  display: none;
}
[ace-menu-list][ace-u-float-above] {
  bottom: 100%;
  top: initial;
}
[ace-menu-list][ace-u-float-left] {
  left: initial;
  right: 0;
}
[ace-menu-list][ace-u-float-right] {
  left: 0;
  right: initial;
}

[ace-menu-option]:hover, [ace-menu-option][aria-selected=true] {
  background: steelblue;
  color: #fff;
}

ace-modal {
  background: #fff;
  overflow: auto;
  padding: 24px;
  position: fixed;
  z-index: calc(2 + 1);
}
@media (max-width: 767px) {
  ace-modal {
    height: 100vh;
    left: 0;
    top: 0;
    width: 100vw;
  }
}
@media (min-width: 768px) {
  ace-modal {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
}
ace-modal:not([ace-modal-visible]) {
  visibility: hidden;
}

[ace-modal-is-visible] {
  overflow: hidden;
  padding-right: 15px;
}

[ace-modal-backdrop] {
  background: rgba(0, 0, 0, 0.5);
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 2;
}
[ace-modal-backdrop]:not([ace-modal-is-visible]) {
  display: none;
}

ace-select {
  position: relative;
}

[ace-select-list] {
  background: #fff;
  color: #000;
  height: auto;
  left: 0;
  list-style: none;
  overflow-y: auto;
  position: absolute;
  user-select: none;
  white-space: nowrap;
  z-index: 1;
}
[ace-select-list]:not([ace-select-list-visible]) {
  display: none;
}
[ace-select-list] [aria-selected=true] {
  background: steelblue;
  color: #fff;
}
[ace-select-list][ace-u-float-above] {
  bottom: 100%;
  top: initial;
}
[ace-select-list][ace-u-float-left] {
  left: initial;
  right: 0;
}
[ace-select-list][ace-u-float-right] {
  left: 0;
  right: initial;
}

[ace-tabs-tablist] {
  display: flex;
  overflow: auto hidden;
  white-space: nowrap;
}

[ace-tabs-tab] {
  background-color: transparent;
  border-color: transparent;
  border-style: solid;
  border-width: 0 0 4px 0;
  cursor: pointer;
  padding: 16px 32px;
}
[ace-tabs-tab]:focus, [ace-tabs-tab]:hover {
  background-color: #eee;
}
[ace-tabs-tab]:focus {
  outline: none;
}

[ace-tabs-tab-selected] {
  border-color: steelblue;
}

[ace-tabs-panel] {
  padding: 16px;
}
[ace-tabs-panel]:not([ace-tabs-panel-visible]) {
  display: none;
}

[ace-tabs-vertical] {
  display: flex;
}
[ace-tabs-vertical] [ace-tabs-tablist] {
  flex-direction: column;
  overflow: hidden auto;
}
[ace-tabs-vertical] [ace-tabs-tab] {
  border-width: 0 4px 0 0;
}

ace-toast {
  background: #000;
  border-radius: 8px;
  bottom: 32px;
  color: #fff;
  font-size: 16px;
  left: 50%;
  max-width: 300px;
  padding: 16px;
  position: fixed;
  transform: translateX(-50%);
  z-index: 4;
}
ace-toast:not([ace-toast-visible]) {
  display: none;
}
@media (min-width: 600px) {
  ace-toast {
    max-width: 500px;
  }
}

[ace-tooltip-target] {
  position: relative;
}

ace-tooltip {
  background-color: #000;
  color: #fff;
  font-size: 14px;
  font-weight: 700;
  left: 50%;
  margin-bottom: 10px;
  margin-top: 10px;
  max-width: 300px;
  padding: 4px 8px;
  pointer-events: none;
  position: absolute;
  top: 100%;
  transform: translateX(-50%);
  width: max-content;
  z-index: 4;
}
ace-tooltip:not([ace-tooltip-visible]) {
  visibility: hidden;
}
ace-tooltip[ace-u-float-right], ace-tooltip[ace-u-float-left] {
  transform: translateX(0);
}
ace-tooltip[ace-u-float-above] {
  bottom: 100%;
  top: initial;
}
ace-tooltip[ace-u-float-left] {
  left: initial;
  right: 0;
}
ace-tooltip[ace-u-float-right] {
  left: 0;
  right: initial;
}

/*# sourceMappingURL=ace-styles.css.map */
